import { jsx } from "react/jsx-runtime";
import { TokenMDX as TokenMDX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMDX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MDX", "data-name": "TokenMDX", ...props, children: /* @__PURE__ */ jsx(TokenMDX$1, { variant }) });
  }
);
TokenMDX.displayName = "TokenMDX";
Object.assign(TokenMDX, { isGdsIcon: true });
export {
  TokenMDX
};
